import request from '@/utils/request'

// 查询招商引资_投产信息列表
export function listTcxx(query) {
  return request({
    url: '/zhaoshangV3/tcxx/list',
    method: 'get',
    params: query
  })
}

// 查询招商引资_投产信息详细
export function getTcxx(tcxxId) {
  return request({
    url: '/zhaoshangV3/tcxx/' + tcxxId,
    method: 'get'
  })
}
// 查询招商引资_详情编号
export function getTcxxNum(xmbh) {
  return request({
    url: '/zhaoshangV3/tcxx/get/' + xmbh,
    method: 'get'
  })
}
// 新增招商引资_投产信息
export function addTcxx(data) {
  return request({
    url: '/zhaoshangV3/tcxx',
    method: 'post',
    data: data
  })
}

// 修改招商引资_投产信息
export function updateTcxx(data) {
  return request({
    url: '/zhaoshangV3/tcxx/put',
    method: 'post',
    data: data
  })
}

// 删除招商引资_投产信息
export function delTcxx(tcxxId) {
  return request({
    url: '/zhaoshangV3/tcxx/delete/' + tcxxId,
    method: 'get'
  })
}
